Subject: Cocompletions of Categories

From: categories <[email-masked]>
Date: Wed, 26 Nov 1997 13:42:29 -0400 (AST)

Date: Wed, 26 Nov 97 10:19:37 +0100
From: Jiri Velebil <[email-masked]>

 Dear Colleagues,

 I wonder whether the following description of a
 free F-conservative completion of any category under
 C-colimits (where  F and  C  are classes of small categories
 such that F is a subclass of C and "F-conservative"
 means "preserving existing F-colimits").

 The description of the cocompletion is as follows:

 Suppose C is a class of small categories and F is
 a subclass of C.

 Let X be any category.
 Denote by [X^op,Set] the quasicategory of all
 functors and all natural transformations between them.
 Denote by F^op-[X^op,Set] the quasicategory of all
 functors which preserve F^op-limits, i.e. limits
 of functors   d : D -> X^op   with D^op in F.

 Claim 1.
 F^op-[X^op,Set] is reflective in [X^op,Set]
 
 (The proof uses the fact that the above Claim 
 holds for the case when X is small - 
 Korollar 8.14 in Gabriel, Ulmer: Lokal
 pr"asentierbare Kategorien.) 

 By Claim 1., F^op-[X^op,Set] has all small colimits.
 Denote by D(X) the closure of X (embedded by Yoneda)
 in F^op-[X^op,Set] under C-colimits. Then one can 
 prove that D(X) is a legitimate category.
 The codomain-restriction  I: X -> D(X)  of the
 Yoneda embedding fulfills the following:

   1. D(X) has C-colimits.
   2. I preserves F-colimits.
   3. D(X) has the following universal property:
      for any functor H : X -> Y which preserves
      F-colimits and the category Y has C-colimits
      there is a unique (up to an isomorphism)
      functor H* : D(X) -> Y such that H* preserves
      C-colimits and H*.I = H.

 In fact, this gives a 2-adjunction between

 C-CAT_C : the 2-quasicategory of all categories having C-colimits,
           all functors preserving C-colimits and all natural
           transformations

 and

 CAT_F : the 2-quasicategory of all categories, all functors
         preserving F-colimits and all natural transformations.

 The result also holds for V-categories, instead of a class C
 of small categories one has to work with a class of small indexing
 types.

 Thank you,

 Jiri Velebil
 [email-masked]

 Department of Mathematics
 FEL CVUT
 Technicka 2
 Praha 6
 Czech Republic